# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=3
inherit eutils

DESCRIPTION="a player for stereoscopic videos"
HOMEPAGE="http://www.nongnu.org/bino/index.html"
SRC_URI="http://download.savannah.gnu.org/releases/${PN}/${P}.tar.xz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc x86"

RDEPEND="media-libs/glew media-video/ffmpeg media-libs/openal x11-libs/qt-gui x11-libs/qt-core x11-libs/qt-opengl"

DEPEND="${RDEPEND}"

src_unpack() {
	unpack ${A}
	cd "${S}"
}

src_prepare() {
        epatch "${FILESDIR}"/${P}-quad-buffered-stereo.patch
}


src_compile() {
	econf || die
	emake || die "emake failed"
}

src_install() {
	emake DESTDIR="${D}" install || die "emake install failed"
}
